Name:           innoextract
Version:        1.9
Release:        %mkrel 10
Summary:        A tool to unpack installers created by Inno Setup
Group:          Archiving/Compression
License:        zlib
Url:            https://constexpr.org/innoextract/
Source:         https://constexpr.org/innoextract/files/%{name}-%{version}/%{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  boost-devel
BuildRequires:  pkgconfig(liblzma)

%description
Inno Setup is a tool to create installers for Microsoft Windows
applications. innoextract allows to extract such installers under
non-windows systems without running the actual installer using wine.

%prep
%autosetup -p1

%build
%cmake \
  -DBoost_NO_BOOST_CMAKE:BOOL=ON
%cmake_build

%install
%cmake_install

%files
%doc README.md CHANGELOG VERSION LICENSE
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Sat Dec 24 2022 wally <wally> 1.9-10.mga9
+ Revision: 1926483
- rebuild for boost 1.81.0

* Sun Jul 03 2022 wally <wally> 1.9-9.mga9
+ Revision: 1867262
- rebuild for boost 1.79.0

* Fri Mar 18 2022 umeabot <umeabot> 1.9-8.mga9
+ Revision: 1798837
- Mageia 9 Mass Rebuild

* Wed Dec 22 2021 wally <wally> 1.9-7.mga9
+ Revision: 1763315
- rebuild for missing pkgs in armv7hl

* Sun Dec 19 2021 wally <wally> 1.9-6.mga9
+ Revision: 1762595
- rebuild for boost 1.78.0

* Thu Sep 09 2021 wally <wally> 1.9-5.mga9
+ Revision: 1744647
- rebuild for boost 1.77.0

* Fri May 14 2021 wally <wally> 1.9-4.mga9
+ Revision: 1722971
- rebuild for boost 1.76.0

* Thu Dec 31 2020 wally <wally> 1.9-3.mga8
+ Revision: 1666769
- rebuild for boost 1.75.0

* Sun Dec 20 2020 wally <wally> 1.9-2.mga8
+ Revision: 1662011
- rebuild for boost 1.74.0

* Mon Oct 19 2020 akien <akien> 1.9-1.mga8
+ Revision: 1637029
- Version 1.9

* Sun May 03 2020 wally <wally> 1.8-4.mga8
+ Revision: 1578065
- rebuild for boost 1.73.0

* Thu Feb 20 2020 umeabot <umeabot> 1.8-3.mga8
+ Revision: 1545115
- Mageia 8 Mass Rebuild

* Mon Jan 27 2020 wally <wally> 1.8-2.mga8
+ Revision: 1484087
- rebuild for boost 1.72.0

* Tue Oct 22 2019 daviddavid <daviddavid> 1.8-1.mga8
+ Revision: 1455106
- new version: 1.8

* Tue Oct 16 2018 wally <wally> 1.7-3.mga7
+ Revision: 1321046
- rebuild for new boost 1.68.0

* Sun Sep 23 2018 umeabot <umeabot> 1.7-2.mga7
+ Revision: 1298301
- Mageia 7 Mass Rebuild

* Mon Jun 18 2018 akien <akien> 1.7-1.mga7
+ Revision: 1237762
- Version 1.7

* Mon Dec 25 2017 wally <wally> 1.6-4.mga7
+ Revision: 1184676
- rebuild for new boost

* Tue Nov 21 2017 tv <tv> 1.6-3.mga7
+ Revision: 1178112
- rebuild for boost 1.65

* Sun Sep 17 2017 tv <tv> 1.6-2.mga7
+ Revision: 1154979
- rebuild with latest boost

* Tue Apr 05 2016 daviddavid <daviddavid> 1.6-1.mga6
+ Revision: 998692
- new version: 1.6
- remove no more needed cmake3.5 patch

* Tue Mar 22 2016 wally <wally> 1.5-3.mga6
+ Revision: 994116
- add patch to fix build with CMake 3.5

* Sat Dec 26 2015 daviddavid <daviddavid> 1.5-2.mga6
+ Revision: 915188
- rebuild for new boost 1.60.0

* Sat Oct 03 2015 akien <akien> 1.5-1.mga6
+ Revision: 885860
- Version 1.5

* Sat Sep 26 2015 daviddavid <daviddavid> 1.4-7.mga6
+ Revision: 883729
- rebuild for new boost 1.59.0

* Sun Aug 30 2015 cjw <cjw> 1.4-6.mga6
+ Revision: 871139
- rebuild with gcc 5

* Sun Aug 02 2015 daviddavid <daviddavid> 1.4-5.mga6
+ Revision: 860548
- rebuild for new boost-1.58.0

* Wed Oct 15 2014 umeabot <umeabot> 1.4-4.mga5
+ Revision: 744004
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.4-3.mga5
+ Revision: 726511
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.4-2.mga5
+ Revision: 680520
- Mageia 5 Mass Rebuild

* Sun Mar 23 2014 akien <akien> 1.4-1.mga5
+ Revision: 607023
- Fix RPM Group
- imported package innoextract

